Page 2 of 15 FirstFirst 123412 ... LastLast
Results 11 to 20 of 141

Thread: KDE5

  1. #11

    Default Re: KDE5

    Quote Originally Posted by hugosyt View Post
    I understand your point but the question was, adding the repos and then doing zypper dup will install Plasma Workspace 5 or not.
    I understood your question.
    And my answer was: no, "zypper dup" will _not_ install Plasma Workspace 5.
    You have to install the package plasma5-session (after adding the repos of course), that should automatically pull in all necessary packages.

    But if you are creating packages that can be co-installed with KDE4, ill wait. (How will i know when they are ready?)
    I'll tell you.

    Actually they are ready, but I just made another change because Plasma 5 didn't start correctly.
    Now they have to rebuild.

    I'll post how to install them when they are available and I have tried them out myself.

  2. #12
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,108

    Default Re: KDE5

    Code:
    But, I am currently creating packages that can be co-installed with KDE4, so if you wait a bit, you can use those and don't have to uninstall KDE4.
    I like the sound of that.

    Code:
    No, zypper dup won't do anything unless you already had KDE5 installed, as the packages are named completely different than their KDE4 counterparts.
    Just installing "plasma-session" should pull in everything needed I think.
    I updated using yast and switched to the KDE5 repo and clicked update all. As Wolfi323 explained nothing happened as the packaging is numbered completely different and I had to individually select a number of the key KDE5 packages which then triggered the install (and the deletion of a number of key KDE4 packages.

  3. #13
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: KDE5

    Quote Originally Posted by wolfi323 View Post
    I understood your question.
    And my answer was: no, "zypper dup" will _not_ install Plasma Workspace 5.
    You have to install the package plasma5-session (after adding the repos of course), that should automatically pull in all necessary packages.


    I'll tell you.

    Actually they are ready, but I just made another change because Plasma 5 didn't start correctly.
    Now they have to rebuild.

    I'll post how to install them when they are available and I have tried them out myself.
    Ok, sorry i misunderstood your first answer, i got it now.

    Thanks

  4. #14

    Default Re: KDE5

    Ok, the packages are ready and available here:
    http://download.opensuse.org/reposit...E:Frameworks5/

    This repo only contains those packages that conflict with KDE4, so you still need the other two repos as well:
    http://download.opensuse.org/reposit...openSUSE_13.1/
    http://download.opensuse.org/reposit...openSUSE_13.1/

    Install plasma5-session, this should automatically install all other necessary packages and add an entry "Plasma 5" to the login screen.
    But be sure to install that package from _my_ repo (home:wolfi323:branches:KDE:Frameworks5) or it won't work!
    So better use YaST, search for "plasma5-session", select the package and click on "Versions" below the package list.

    You also will need at least plasma5-workspace, plasma5-desktop and powerdevil5 from my repo, but I think YaST should select the correct packages automatically, because the ones from KDE:Frameworks5 will create a conflict.
    If you want to install kinfocenter5 and/or kmenuedit5 as well, you should also install them from my repo.

    You could try this 1-click install (should add all needed repos automatically), but I cannot guarantee you it will work flawlessly: (although it should I think)
    http://software.opensuse.org/downloa...lasma5-session
    (you need the one for openSUSE 13.1 probably, "openSUSE 13.1 ports" is for PPC and ARM CPUs)

    If there are problems (conflicts f.e.), please tell me.
    I installed the packages here and I can login to Plasma5 fine. (and KDE4 still works as well, of course)
    But I haven't tested them much yet.

    Please note, that those packages are a big hack, so do not expect them to be pushed to any (semi-)official repo ever...
    The packages are the same version as the "official" packages in KDE:Frameworks5 though, and I will try to keep them in sync.

    I plan to add some more packages that conflict with KDE4 packages, like the KDE5 versions of Dolphin, Kate/Kwrite, Konsole (taken from KDE:Unstable:Frameworks), but I haven't succeeded in building them yet (some installation path issues, I have to look in more detail at that tomorrow...).

  5. #15
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,108

    Default Re: KDE5

    Thanks very much Wolfi232 for the repo link and the instructions. I can't wait to give it a try when I get home from work tonight.

  6. #16
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,005

    Default Re: KDE5

    Right, when running in VMware 10.0.3 with VMware Tools installed or open-vm-tools, resizing the window to change resolution will crash KDE5 plasma if Compositor is enabled.

    It'll still crash without it (and restart itself) but it will allow resizing the screen at least.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  7. #17
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: KDE5

    Quote Originally Posted by wolfi323 View Post
    Ok, the packages are ready and available here:
    http://download.opensuse.org/reposit...E:Frameworks5/

    This repo only contains those packages that conflict with KDE4, so you still need the other two repos as well:
    http://download.opensuse.org/reposit...openSUSE_13.1/
    http://download.opensuse.org/reposit...openSUSE_13.1/

    Install plasma5-session, this should automatically install all other necessary packages and add an entry "Plasma 5" to the login screen.
    But be sure to install that package from _my_ repo (home:wolfi323:branches:KDE:Frameworks5) or it won't work!
    So better use YaST, search for "plasma5-session", select the package and click on "Versions" below the package list.

    You also will need at least plasma5-workspace, plasma5-desktop and powerdevil5 from my repo, but I think YaST should select the correct packages automatically, because the ones from KDE:Frameworks5 will create a conflict.
    If you want to install kinfocenter5 and/or kmenuedit5 as well, you should also install them from my repo.

    You could try this 1-click install (should add all needed repos automatically), but I cannot guarantee you it will work flawlessly: (although it should I think)
    http://software.opensuse.org/downloa...lasma5-session
    (you need the one for openSUSE 13.1 probably, "openSUSE 13.1 ports" is for PPC and ARM CPUs)

    If there are problems (conflicts f.e.), please tell me.
    I installed the packages here and I can login to Plasma5 fine. (and KDE4 still works as well, of course)
    But I haven't tested them much yet.

    Please note, that those packages are a big hack, so do not expect them to be pushed to any (semi-)official repo ever...
    The packages are the same version as the "official" packages in KDE:Frameworks5 though, and I will try to keep them in sync.

    I plan to add some more packages that conflict with KDE4 packages, like the KDE5 versions of Dolphin, Kate/Kwrite, Konsole (taken from KDE:Unstable:Frameworks), but I haven't succeeded in building them yet (some installation path issues, I have to look in more detail at that tomorrow...).
    Thanks, ill try to install and give feedback.

    Thanks again

  8. #18
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: KDE5

    Ok first try and your repo is not working. Yast gives the message that it can´t create the repo from the URL http://download.opensuse.org/reposit...:/Frameworks5/

    The others are fine.

  9. #19

    Default Re: KDE5

    Quote Originally Posted by hugosyt View Post
    Thanks, ill try to install and give feedback.
    Ok. Please feel free to ask when you have problems or further questions.

    Btw, my repo now additionally contains co-installable versions of kate5 (also includes kwrite), kde-baseapps5 (contains dolphin, kfind and kdialog f.e.), konsole5, libKF5BalooWidgets (needed for dolphin's information panel), and okteta5.
    But those have _not_ been released yet (that's why they are not part of the standard KDE:Frameworks5 repo), so they should not be considered stable.
    Only install them if you want to try them out. Installing them will prevent you from starting the corresponding KDE4 applications from the application launcher in Plasma5.
    You can only run them when logged in to Plasma5, so they shouldn't influence your KDE4 session in any way though.

  10. #20

    Default Re: KDE5

    Quote Originally Posted by hugosyt View Post
    Ok first try and your repo is not working. Yast gives the message that it can´t create the repo from the URL http://download.opensuse.org/reposit...:/Frameworks5/
    That's the parent folder of the available repos, try to click on the link to see.
    You have to append your openSUSE version, like openSUSE_13.1 f.e.:
    http://download.opensuse.org/reposit.../openSUSE_13.1

Page 2 of 15 FirstFirst 123412 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •